GuideLab API

Delete custom field image

Remove a custom field option image from R2 storage. Validates that the image key belongs to the authenticated organization.

DELETE
/products/{id}/custom-field-image

Remove a custom field option image from R2 storage. Validates that the image key belongs to the authenticated organization.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Product ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X DELETE "https://example.com/products/550e8400-e29b-41d4-a716-446655440000/custom-field-image" \  -H "Content-Type: application/json" \  -d '{    "imageKey": "string"  }'
{  "message": "string"}
Empty
Empty
Empty
Empty